Last Comment Bug 1299951 - Add AC RAIZ FNMT-RCM root certificate to NSS
: Add AC RAIZ FNMT-RCM root certificate to NSS
Status: RESOLVED FIXED
In NSS 3.28.1, Firefox 51
:
Product: NSS
Classification: Components
Component: CA Certificates (show other bugs)
: trunk
: All All
-- enhancement (vote)
: ---
Assigned To: nobody
:
:
Mentors:
Depends on: 1296697
Blocks: 435736
  Show dependency treegraph
 
Reported: 2016-09-01 14:45 PDT by Kathleen Wilson
Modified: 2017-01-25 16:26 PST (History)
14 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
ACRAIZFNMT.cert (1.96 KB, application/x-x509-ca-cert)
2016-09-01 14:45 PDT, Kathleen Wilson
no flags Details

Description User image Kathleen Wilson 2016-09-01 14:45:59 PDT
Created attachment 8787388 [details]
ACRAIZFNMT.cert

This bug requests inclusion in the NSS root store of the following root certificate owned by Fábrica Nacional de Moneda y Timbre (FNMT).
	 
Friendly Name: 	AC RAIZ FNMT-RCM
Cert Location: http://www.cert.fnmt.es/certs/ACRAIZFNMTRCM.crt
SHA-1 Fingerprint: EC:50:35:07:B2:15:C4:95:62:19:E2:A8:9A:5B:42:99:2C:4C:2C:20
SHA-256 Fingerprint: 	EB:C5:57:0C:29:01:8C:4D:67:B1:AA:12:7B:AF:12:F7:03:B4:61:1E:BC:17:B7:DA:B5:57:38:94:17:9B:93:FA
Trust Flags: Websites
Test URL: https://www.sede.fnmt.gob.es/certificados

This CA has been assessed in accordance with the Mozilla project guidelines, and the certificates approved for inclusion in bug #435736.

The next steps are as follows:
1) A representative of the CA must confirm that all the data in this bug is correct, and that the correct certificate has been attached.
2) A Mozilla representative creates a patch with the new certificate, and provides a special test version of Firefox.
3) A representative of the CA uses the test version of Firefox to confirm (by adding a comment in this bug) that the certificate has been correctly imported and that websites work correctly.
4) The Mozilla representative requests that another Mozilla representative review the patch.
5) The Mozilla representative adds (commits) the patch to NSS, then closes this bug as RESOLVED FIXED.
6) At some time after that, various Mozilla products will move to using a version of NSS which contains the certificate. This process is mostly under the control of the release drivers for those products.
Comment 1 User image Kathleen Wilson 2016-09-01 14:47:35 PDT
Rafa, Please see step #1 above.
Comment 2 User image Rafa Medina 2016-09-06 07:10:26 PDT
We confirm all the data is correct. Also, the attached certificate is ok.
Comment 3 User image Kathleen Wilson 2016-09-07 15:10:59 PDT
Thanks for confirming that the data in this bug is correct.

Root inclusions are usually grouped and done as a batch when there is either a large enough set of changes or about every 3 months.

At some point in the next 3 months a test build will be provided and this bug will be updated to request that you test it. Since you are cc'd on this bug, you will get notification via email when that happens.
Comment 4 User image Kathleen Wilson 2016-12-12 11:36:54 PST
(In reply to Kathleen Wilson from comment #0)
> 3) A representative of the CA uses the test version of Firefox to confirm
> (by adding a comment in this bug) that the certificate has been correctly
> imported and that websites work correctly.

The test build for this change is here:
https://archive.mozilla.org/pub/firefox/try-builds/kaie@kuix.de-0ff968e3d09e43aa1186a83d9df1b0159adf61e0/

Rafa, please test as described here:
https://wiki.mozilla.org/CA:How_to_apply#Testing_Inclusion
Comment 5 User image Rafa Medina 2016-12-14 04:53:28 PST
(In reply to Kathleen Wilson from comment #4)
> (In reply to Kathleen Wilson from comment #0)
> > 3) A representative of the CA uses the test version of Firefox to confirm
> > (by adding a comment in this bug) that the certificate has been correctly
> > imported and that websites work correctly.
> 
> The test build for this change is here:
> https://archive.mozilla.org/pub/firefox/try-builds/kaie@kuix.de-
> 0ff968e3d09e43aa1186a83d9df1b0159adf61e0/
> 
> Rafa, please test as described here:
> https://wiki.mozilla.org/CA:How_to_apply#Testing_Inclusion

We have tested Firefox nightly version (firefox-53.0a1) and the certificate has been properly imported. Also, tests with websites have worked correctly.

Note You need to log in before you can comment on or make changes to this bug.